Bug 26806 - Remove the jquery.checkboxes plugin from the staff client
Summary: Remove the jquery.checkboxes plugin from the staff client
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 26767 26768 26769 26795 26798 26799 26800
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-10-23 18:41 UTC by Owen Leonard
Modified: 2020-11-03 09:59 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26806: Remove the jquery.checkboxes plugin from the staff client (8.94 KB, patch)
2020-10-23 19:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26806: Remove the jquery.checkboxes plugin from the staff client (8.98 KB, patch)
2020-10-31 23:18 UTC, David Nind
Details | Diff | Splinter Review
Bug 26806: Remove the jquery.checkboxes plugin from the staff client (9.04 KB, patch)
2020-11-01 00:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26806: Remove 1 remaining occurrence of jquery.checkboxes.min.js (927 bytes, patch)
2020-11-03 09:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-23 18:41:50 UTC
After all instances of its use in the template have been updated the plugin should be removed.
Comment 1 Owen Leonard 2020-10-23 19:27:53 UTC
Created attachment 112309 [details] [review]
Bug 26806: Remove the jquery.checkboxes plugin from the staff client

This patch removes the jquery.checkboxes plugin from the staff client.

It also removes some leftover instances of the "checkboxed" class which
was used in some cases to enable the checkbox plugin on selected
elements.

To test, apply the patch and check that the jquery.checkboxes plugin no
longer exists in /intranet-tmpl/lib/jquery/plugins.

To test changes to the templates, confirm that "Check all" and "Check
none" links still work on these pages:

- The tags review page. See the test plan for Bug 26120.
- The inventory page. See the test plan for Bug 26150.
- The list contents page. See the test plan for Bug 26204.

The other modified templates contained the "checkboxed" class but it
served no purpose:

- Serials -> Serials collection
- Labels -> Edit label batch
- Patron cards -> Edit card batch

If you search the Koha codebase for instances of "checkboxed" the only
results should be from the OPAC (if Bug 26805 hasn't been applied) and
in Z39.50 templates where the class is still used by JavaScript.
Comment 2 David Nind 2020-10-31 23:18:50 UTC
Created attachment 112773 [details] [review]
Bug 26806: Remove the jquery.checkboxes plugin from the staff client

This patch removes the jquery.checkboxes plugin from the staff client.

It also removes some leftover instances of the "checkboxed" class which
was used in some cases to enable the checkbox plugin on selected
elements.

To test, apply the patch and check that the jquery.checkboxes plugin no
longer exists in /intranet-tmpl/lib/jquery/plugins.

To test changes to the templates, confirm that "Check all" and "Check
none" links still work on these pages:

- The tags review page. See the test plan for Bug 26120.
- The inventory page. See the test plan for Bug 26150.
- The list contents page. See the test plan for Bug 26204.

The other modified templates contained the "checkboxed" class but it
served no purpose:

- Serials -> Serials collection
- Labels -> Edit label batch
- Patron cards -> Edit card batch

If you search the Koha codebase for instances of "checkboxed" the only
results should be from the OPAC (if Bug 26805 hasn't been applied) and
in Z39.50 templates where the class is still used by JavaScript.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-11-01 00:33:54 UTC
Created attachment 112795 [details] [review]
Bug 26806: Remove the jquery.checkboxes plugin from the staff client

This patch removes the jquery.checkboxes plugin from the staff client.

It also removes some leftover instances of the "checkboxed" class which
was used in some cases to enable the checkbox plugin on selected
elements.

To test, apply the patch and check that the jquery.checkboxes plugin no
longer exists in /intranet-tmpl/lib/jquery/plugins.

To test changes to the templates, confirm that "Check all" and "Check
none" links still work on these pages:

- The tags review page. See the test plan for Bug 26120.
- The inventory page. See the test plan for Bug 26150.
- The list contents page. See the test plan for Bug 26204.

The other modified templates contained the "checkboxed" class but it
served no purpose:

- Serials -> Serials collection
- Labels -> Edit label batch
- Patron cards -> Edit card batch

If you search the Koha codebase for instances of "checkboxed" the only
results should be from the OPAC (if Bug 26805 hasn't been applied) and
in Z39.50 templates where the class is still used by JavaScript.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-11-01 00:35:39 UTC
So glad to see this close to finished :)
Comment 5 Jonathan Druart 2020-11-03 09:46:26 UTC
Created attachment 112902 [details] [review]
Bug 26806: Remove 1 remaining occurrence of jquery.checkboxes.min.js
Comment 6 Jonathan Druart 2020-11-03 09:59:42 UTC
Pushed to master for 20.11, thanks to everybody involved!